Delete Environment V2 Using DELETE
Delete an environment
Request
URI
DELETE
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/lcops/api/v2/environments/{environmentId}
COPY
Path Parameters
string
environmentId
Required
environmentId
Request Body
deleteEnvironmentRequestDTO
DeleteEnvironmentRequestDTO
of type(s)
application/json
Required
{
"deleteFromInventory": false,
"deleteFromVcenter": false,
"deleteWindowsVMs": false
}
boolean
deleteFromInventory
Optional
deleteFromInventory
boolean
deleteFromVcenter
Optional
deleteFromVcenter
boolean
deleteWindowsVMs
Optional
deleteWindowsVMs
Responses
200
OK
Returns
GenericRequestResponse
of type(s)
application/json
{
"requestId": "string"
}
string
requestId
Optional
requestId
204
No Content
Operation doesn't return any data structure
400
Bad Request
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status
404
Not Found
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status
500
Internal Server Error
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status
On This Page
Environment Controller Operations
POST
Add Node V2 Using POST
POST
Add Product V2 Using POST
POST
Create Environment V2 Using POST
DELETE
Delete Environment V2 Using DELETE
GET
Get All Environments V2 Using GET
GET
Get Environment By Id Or Name V2 Using GET
POST
Toggle Health Check V2 Using POST
POST
Trigger Health Check V2 Using POST
POST
Trigger Inventory Sync For All Environments V2 Using POST
POST
Trigger Inventory Sync For Environment V2 Using POST
PATCH
Update Environment Name Using PATCH
POST
Validate Environment V2 Using POST